Subject: Re: bug#59676: 30.0.50; package-report-bug fails getting maintainer address

From: Philip Kaludercic <[email-masked]>
Date: Wed, 30 Nov 2022 19:55:49 +0000

Eshel Yaron <[email-masked]> writes:

> Hello Philip,
>
> Philip Kaludercic <[email-masked]> writes:
>
>> Eshel Yaron <[email-masked]> writes:
>>
>>> 1. emacs -Q
>>> 2. M-x list-packages
>>> 3. Move point to over some package, e.g. Magit
>>> 4. M-x package-report-bug
>>> 5. See error:
>>>
>>> package-maintainers: Wrong type argument: char-or-string-p, ("Jonas
>>> Bernoulli" . "[email-masked]")
>>
>> Does the following fix it?
>>
>> diff --git a/lisp/emacs-lisp/package.el b/lisp/emacs-lisp/package.el
>> index 8d44fae30a..8e7c34da38 100644
>> --- a/lisp/emacs-lisp/package.el
>> +++ b/lisp/emacs-lisp/package.el
>> @@ -4549,7 +4549,7 @@ package-maintainers
>>        (user-error "Package `%s' has no explicit maintainer" name))
>>       ((and (not (progn
>>                    (require 'ietf-drums)
>> -                  (ietf-drums-parse-address maint)))
>> +                  (ietf-drums-parse-address (cdr maint))))
>>             (null no-error))
>>        (user-error "Package `%s' has no maintainer address" name))
>>       ((not (null maint))
>
> Yes, that seems to work.  With this I now get a pre-populated Message
> mode buffer, as expected.

Ok, I have pushed a commit with these changes.  Thank for confirming the
fix, I'll be closing this report then.

>>> On another note, seems package-report-bug could also benefit from an
>>> autoload cookie, no?
>>
>> I think that would be a good idea, but I don't know if it is too late
>> now that Emacs 29 has been cut.
>
> I see, maybe it should only be added to the master branch then?  Anyway
> it's not very crucial (to me at least).

The thing I am confused about is that package.el ought to be autoloaded
itself, or am I mistaken in that assumption?

> Thanks,
> Eshel